local t = Def.ActorFrame{
	Def.ActorFrame{
		LoadActor("_graph P1")..{
			Condition=GAMESTATE:GetPlayMode() ~= 'PlayMode_Rave' or GAMESTATE:GetPlayMode() ~= 'PlayMode_Battle';
			InitCommand=cmd(x,THEME:GetMetric(Var "LoadingScreen", "GraphFrameP1X");y,THEME:GetMetric(Var "LoadingScreen", "GraphFrameP1Y"););
			BeginCommand=function(self)
				self:visible(GAMESTATE:IsHumanPlayer(PLAYER_1));
			end;
			OnCommand=THEME:GetMetric(Var "LoadingScreen","GraphFrameP1OnCommand")
		};
		LoadActor("_graph P2")..{
			Condition=GAMESTATE:GetPlayMode() ~= 'PlayMode_Rave' or GAMESTATE:GetPlayMode() ~= 'PlayMode_Battle';
			InitCommand=cmd(x,THEME:GetMetric(Var "LoadingScreen", "GraphFrameP2X");y,THEME:GetMetric(Var "LoadingScreen", "GraphFrameP2Y"););
			BeginCommand=function(self)
				self:visible(GAMESTATE:IsHumanPlayer(PLAYER_2));
			end;
			OnCommand=THEME:GetMetric(Var "LoadingScreen","GraphFrameP2OnCommand")
		};
	};

	Def.ActorFrame{
		LoadActor("rave graph frame")..{
			Condition=GAMESTATE:GetPlayMode() == 'PlayMode_Rave' or GAMESTATE:GetPlayMode() == 'PlayMode_Battle';
			InitCommand=cmd(x,THEME:GetMetric(Var "LoadingScreen", "RaveGraphFrameX");y,THEME:GetMetric(Var "LoadingScreen", "RaveGraphFrameY"););
			OnCommand=THEME:GetMetric(Var "LoadingScreen","RaveGraphFrameOnCommand")
		};
	};

	Def.ActorFrame{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-61+16;);
		OnCommand=function(self)
			if GAMESTATE:GetPlayMode() == "PlayMode_Endless" then
				self:visible(false);
			else
				self:visible(true);
				self:zoomy(0);
				self:linear(0.2);
				self:zoomy(1);
			end;
		end;

		LoadActor("line_e")..{
			InitCommand=cmd(y,1;);
		};
		LoadActor("ext")..{
		};
	};
};
return t;